summaryrefslogtreecommitdiffstats
path: root/system/pmdk
diff options
context:
space:
mode:
Diffstat (limited to 'system/pmdk')
-rw-r--r--system/pmdk/README4
-rw-r--r--system/pmdk/changelog24
-rw-r--r--system/pmdk/pmdk.SlackBuild107
-rw-r--r--system/pmdk/pmdk.info10
-rw-r--r--system/pmdk/slack-desc19
5 files changed, 164 insertions, 0 deletions
diff --git a/system/pmdk/README b/system/pmdk/README
new file mode 100644
index 0000000000..4235e3782f
--- /dev/null
+++ b/system/pmdk/README
@@ -0,0 +1,4 @@
+The Persistent Memory Development Kit (PMDK) is a
+collection of libraries and tools for System Administrators
+and Application Developers to simplify managing and
+accessing persistent memory devices.
diff --git a/system/pmdk/changelog b/system/pmdk/changelog
new file mode 100644
index 0000000000..fe42574610
--- /dev/null
+++ b/system/pmdk/changelog
@@ -0,0 +1,24 @@
+Changelog for pmdk SlackBuild Script
+--------------------------------------------------------------------
+
+03/09/2022:
+
+Added to slackbuilds.org
+
+18/02/2023:
+
+pmdk slackbuild script fixed by B.Watson
+
+15/05/2023:
+
+Updated to version 1.13.0
+From this build onwards it will only build
+on x86_64 platform only.
+
+19/02/2024:
+
+Updated to version 1.13.1
+
+14/08/2024
+
+Updated to version 2.1.0
diff --git a/system/pmdk/pmdk.SlackBuild b/system/pmdk/pmdk.SlackBuild
new file mode 100644
index 0000000000..211d11d0bd
--- /dev/null
+++ b/system/pmdk/pmdk.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for pmdk
+
+# Copyright 2022-2024 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=pmdk
+VERSION=${VERSION:-2.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+sys_arch=${sys_arch:-$(uname -m)}
+
+case "$sys_arch" in
+ x86_64) export ARCH=x86_64 ;;
+ *) echo "This program will not build on $sys_arch platform" && exit 1 ;;
+esac
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-march=x86-64 -mtune=generic -pipe -O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ echo "This program will not build in this $sys_arch platform" && exit 1
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+rm -rf $PKG
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+make -C src
+make -C utils
+make -C src LIB_PREFIX=lib${LIBDIRSUFFIX} HEADERS_DESTDIR=/usr/include prefix=/usr PREFIX=/usr install DESTDIR=$PKG
+make -C doc all
+make -C doc install DESTDIR=$PKG/usr/man/
+
+# Don't ship .la files:
+rm -rvf $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Remove static libs
+
+rm -rvf $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.a
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
+
+mv -v $PKG/usr/etc $PKG/etc
+mv -v $PKG/usr/man/usr/local/share/man/* $PKG/usr/man/
+rm -rvf $PKG/usr/man/usr
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE README.md VERSION CODING_STYLE.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/pmdk/pmdk.info b/system/pmdk/pmdk.info
new file mode 100644
index 0000000000..0427f7c70d
--- /dev/null
+++ b/system/pmdk/pmdk.info
@@ -0,0 +1,10 @@
+PRGNAM="pmdk"
+VERSION="2.1.0"
+HOMEPAGE="https://pmem.io/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/pmem/pmdk/archive/2.1.0/pmdk-2.1.0.tar.gz"
+MD5SUM_x86_64="35cdb2621a7873aade062d59aa256989"
+REQUIRES="pandoc-bin"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/system/pmdk/slack-desc b/system/pmdk/slack-desc
new file mode 100644
index 0000000000..2461e02fb2
--- /dev/null
+++ b/system/pmdk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pmdk: pmdk (Persistent Memory Development Kit)
+pmdk:
+pmdk: PMDK is a collection of libraries and tools for system
+pmdk: administrators and application developers to simplify
+pmdk: managing and accessing persistent memory devices.
+pmdk:
+pmdk:
+pmdk: Homepage:https://pmem.io
+pmdk:
+pmdk:
+pmdk: